libconfig-model-perl (2.105-1) experimental; urgency=medium

  * New upstream version 2.105
    * Value: fix fetch in non_upstream_default mode to avoid breaking
      'cme meta plugin' command

 -- Dominique Dumont <dod@debian.org>  Fri, 09 Jun 2017 21:40:40 +0200

libconfig-model-perl (2.104-1) experimental; urgency=medium

  * New upstream version 2.104
    * Instance: add backend_arg to enable misc parameter for cme command
      (e.g a systemd service name for systemd model or a patch name for
       Dpkg patch model).
  * control: depends on libconfig-model-tester-perl >= 2.062

 -- Dominique Dumont <dod@debian.org>  Sat, 03 Jun 2017 21:26:52 +0200

libconfig-model-perl (2.102-2) experimental; urgency=medium

  * control: added back BD-I on libyaml-perl which is used during tests

 -- Dominique Dumont <dod@debian.org>  Tue, 16 May 2017 08:13:44 +0200

libconfig-model-perl (2.102-1) experimental; urgency=medium

  * New upstream version 2.102
    * do not rely on '.' in @INC to load snippet model files
      (CVE-2017-0374)
    * genclasspod: remove use lib (CVE-2017-0373)
    * avoid possible creation of Perl object through hostile
      YAML file: use YAML::Tiny in YAML backend instead of YAML::Any
    * model can choose YAML parser (default YAML::Tiny)
    * boolean value: accept empty string as false value
  * control: depends on libyaml-tiny-perl
  * add stretch only release (2.097-2) entry in changelog

 -- Dominique Dumont <dod@debian.org>  Mon, 15 May 2017 12:47:32 +0200

libconfig-model-perl (2.101-1) experimental; urgency=medium

  * New upstream version 2.101
    * Add assign_char and assign_with to IniFile backend. So it can
      be used for files with "key: value" lines.
    * add option to write hash key with empty values. By default empty
      hash values are dropped and the hash keys of these values are lost.
    * Value: if possible show why a fix is applied, i.e. show the warning
      that triggered the fix
    * improved log levels (i.e. move some log from debug to info or trace)

 -- Dominique Dumont <dod@debian.org>  Sat, 29 Apr 2017 11:49:27 +0200

libconfig-model-perl (2.100-1) experimental; urgency=medium

  * New upstream version 2.100
    * Unknown element exception show instructions to report a bug.
    * add compute information in generated doc
    * pod generator: show default values in item list
  * remove fix-file-mode-test patch

 -- Dominique Dumont <dod@debian.org>  Sun, 19 Mar 2017 17:32:25 +0100

libconfig-model-perl (2.099-2) experimental; urgency=medium

  * add patch to fix file_mode test

 -- Dominique Dumont <dod@debian.org>  Wed, 08 Mar 2017 19:03:09 +0100

libconfig-model-perl (2.099-1) experimental; urgency=medium

  * New upstream version 2.099
    * add file_mode parameter to backend specification. This
      parameter sets the permission (mode) of written configuration
      files
  * control: update dep libconfig-model-tester-perl >= 2.060

 -- Dominique Dumont <dod@debian.org>  Tue, 07 Mar 2017 20:57:50 +0100

libconfig-model-perl (2.098-1) experimental; urgency=medium

  * New upstream version 2.098:
    * Model improvements:
      * allow injection of model snippet in another configuration class.
        This is used by dpkg model: a dpkg-control default value is
        computed from a value in dpkg model only when dpkg-control model
        is loaded with dpkg model,
      * add doc for has_instance and get_instance methods
    * Plainfile backend improvements:
      * handle deletion of file managed by Plainfile backend
      * plainfile backend can handle file named with &element and &index
        functions, i.e the config file name can depend on the location
        of the value in the configuration tree. (used by dpkg model for
        debian/<pkg>.install files)
    * Value computer improvements:
      * doc: mention that functions are allowed in variable definition
      * allow '- -' or '--' param to &index
    * Bug fix:
      * fix error forwarding in BackendMgr
      * warn when Term::ReadLine::Gnu is not installed
      * fix term UI  set command to accept white spaces
      * Loader: allow creation of empty hash leaf
  * copyright: bumped © years
  * control: BD-I on libconfig-model-tester-perl 2.059

 -- Dominique Dumont <dod@debian.org>  Tue, 28 Feb 2017 13:54:33 +0100

libconfig-model-perl (2.097-2) unstable; urgency=medium

  * add patch to remove 'use lib' (CVE-2017-0373)
  * add patch to remove '.' in @INC emulation (CVE-2017-0374)
  * rules: add '.' in @INC for tests
  * package for stretch release only

 -- Dominique Dumont <dod@debian.org>  Sun, 14 May 2017 18:20:55 +0200

libconfig-model-perl (2.097-1) unstable; urgency=medium

  * New upstream version 2.097
    * fix a regression seen when starting curses interface

 -- Dominique Dumont <dod@debian.org>  Thu, 22 Dec 2016 19:18:27 +0100

libconfig-model-perl (2.096-1) unstable; urgency=medium

  * New upstream version 2.096
    * New feature usable by cme:
      * loader: add .insort() command for hash element
      * Hash element: add insort method
    Term UI improvement
      * fix  autocompletion of 'cd' command
      * add -nz and -v option to ll command
      * ll command accept several patterns
      * improved ll output
      * better format the output of 'desc' command (transform
        pod doc to text).
    Bug fix:
      * show complete stack trace of rethrown exceptions
      * Node: propagate check param when calling init
        (which fix cme's -force option)
      * track and save annotation changes (gh #12)
      * Node: propagate check override in init() (which fixes
        loading of a systemd config that contains an error)
  * control:
    * require v0.070 of libpath-tiny-perl
    * add dependency libregexp-common-perl

 -- Dominique Dumont <dod@debian.org>  Mon, 12 Dec 2016 13:42:12 +0100

libconfig-model-perl (2.094-1) unstable; urgency=medium

  * New upstream version 2.094
    * Allow alternate comment char in INI config file (gh #10)
      required to support Systemd config files
    * Better support of utf8 in term UI

 -- Dominique Dumont <dod@debian.org>  Thu, 10 Nov 2016 13:35:45 +0100

libconfig-model-perl (2.092-1) unstable; urgency=medium

  * New upstream version 2.092
   * New feature in shell UI:
    * 'll' command shows a warning sign when an element
      has a warning that may be fixed
    * added 'check' command
    * 'fix' command can be applied to selected element instead
      on the whole config.

 -- Dominique Dumont <dod@debian.org>  Sat, 24 Sep 2016 17:46:09 +0200

libconfig-model-perl (2.091-1) unstable; urgency=medium

  * New upstream version 2.091:
    * really fix issue with '.' removal from @INC
      (needed to close Debian #837682)

 -- Dominique Dumont <dod@debian.org>  Wed, 14 Sep 2016 11:13:49 +0200

libconfig-model-perl (2.090-1) unstable; urgency=medium

  * New upstream version 2.090
   * Model developer can use $std_value in warning messages to
      provide better feedback to user. This variable is substituted
      with preset, computed or default value when the message is
      generated.
    * remove obsolete skip_read parameter
      (breaks App::Cme older than v1.011)
    * Add double quote when dumping a value that contains '#'
      (Closes: #837133)
    * Value: generates same error messages for warn_if, warn_if_match
    * fix other collaterals of '.' removal from @INC
  * control: added breaks cme < 1.011

 -- Dominique Dumont <dod@debian.org>  Sun, 11 Sep 2016 19:48:32 +0200

libconfig-model-perl (2.089-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Remove Fabrizio Regalli from Uploaders. Thanks for your work!
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Dominique Dumont ]
  * New upstream version 2.089
    * load perl data file even if @INC does not contain '.' (required
      for perl 5.14 or Debian perl 5.22.2-4)
    * Loader: trap another syntax error in load steps. This may breaks
      existing tests or cme scripts that contain such an error.

 -- Dominique Dumont <dod@debian.org>  Mon, 05 Sep 2016 15:39:09 +0200

libconfig-model-perl (2.088-1) unstable; urgency=medium

  * Imported Upstream version 2.088:
    * document repo structure in CONTRIBUTE file
    * add CREDITS section in main doc
    * New instructions for 'cme modify'
      * add copy command for list
      * add clear command for list and hash
    * use sort keys to get consistent warning order
      (which is important for non-regression tests)
    * fix regexps for Perl 5.22 (gh #6) Tx mat813
  * ship CONTRIBUTING.md in docs

 -- Dominique Dumont <dod@debian.org>  Sun, 10 Jul 2016 18:02:47 +0200

libconfig-model-perl (2.087-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/upstream/metadata: use HTTPS for GitHub URLs.

  [ Dominique Dumont ]
  * Imported Upstream version 2.087
    Mostly doc improvements and some bug fixes

 -- Dominique Dumont <dod@debian.org>  Thu, 30 Jun 2016 13:49:59 +0200

libconfig-model-perl (2.086-1) unstable; urgency=medium

  * Imported Upstream version 2.086
    Fixed some bugs so that cme() function works with
    new Systemd model

 -- Dominique Dumont <dod@debian.org>  Mon, 06 Jun 2016 18:53:06 +0200

libconfig-model-perl (2.085-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Simplify BTS URL.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.

  [ Dominique Dumont ]
  * Imported Upstream version 2.085
    * This new releases brings new functions to simplify script that modify
     configuration files. For instance, the following line is enough to
     update popcon's configuration file:
       cme('popcon')->modify("PARTICIPATE=yes");
    * Fix gen_class_pod which skipped some classes
      (fix reproducible build of libconfig-model-openssh-perl)

 -- Dominique Dumont <dod@debian.org>  Sun, 29 May 2016 19:38:51 +0200

libconfig-model-perl (2.083-1) unstable; urgency=medium

  * Imported Upstream version 2.083
  * control: Standards-Version: '3.9.7' -> '3.9.8'

 -- Dominique Dumont <dod@debian.org>  Thu, 21 Apr 2016 10:48:53 +0200

libconfig-model-perl (2.082-1) unstable; urgency=medium

  * Imported Upstream version 2.082
    * Loader: list operator :~ with no argument loops
      over all values of a hash element
    * Loader: fix loop bug which exited too soon
    * Fix tests broken by C::M::Tester 2.053 (required)
    * removed Log4Perl instructions from synopsis.
      Log4Perl initialisation is handled by Config::Model
      constructor since v2.057
  * control: removed deps on perl >= 5.11
  * control: build-dep on libconfig-model-tester-perl (>= 2.053)

 -- Dominique Dumont <dod@debian.org>  Wed, 30 Mar 2016 12:33:44 +0200

libconfig-model-perl (2.081-1) unstable; urgency=medium

  * Imported Upstream version 2.081
    * storing a wrong value is no longer ignored but now
      triggers an exception.
    * Trigger change notif when store_set reduces the nb of items
      (closes gh #4)
    * Improved change message shown to user
    * Value: don't display grammar in case of error
    * Fix error handling in Value.
  * control: updated Standard-Version to 3.9.7

 -- Dominique Dumont <dod@debian.org>  Tue, 01 Mar 2016 19:51:49 +0100

libconfig-model-perl (2.079-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Dominique Dumont ]
  * Imported Upstream version 2.079
    * Remove YAML file when no data is left
    * When a root class has only one element, the backend
      write (and read) only the content of that element (this
      reduce the depth of the written data structure by one).
    * Added "ChangeTracker" log class and traces (Log::Log4Perl)
    * HashId: load_data can load ordered data in non-ordered hash
    * Removed Exception::Class from warper error handler
      (gh #5, Thanks jplesnik)
    * Dumper/Loader: handle literal \\n

 -- Dominique Dumont <dod@debian.org>  Sat, 20 Feb 2016 19:21:25 +0100

libconfig-model-perl (2.078-1) unstable; urgency=medium

  * Imported Upstream version 2.078:
    * Error handling no longer uses Exception::Class.
    * Config::Model: fix get_element_property (fix a bug with cme dpkg where
      XS-Autobuild is wrongly added to debian/control file)
    * Config::Model::Value:
      * don't check value when loading layered config (aka system
       default values). These values are assumed to be correct.
      * accept when a mandatory value is set by a layered value.
        (this fixes hangs in libconfig-model-itself-perl tests)
  * copyright: updated years
  * control:
    - removed libexception-class-perl dependency
    + recommends cme

 -- Dominique Dumont <dod@debian.org>  Mon, 25 Jan 2016 13:12:14 +0100

libconfig-model-perl (2.077-1) unstable; urgency=medium

  * Imported Upstream version 2.077
    * Loader: added hash copy command. This new command can be used with
      something like: "cme modify stuff some_hash:.copy(from,to)"
    * Instance: added config_dir (used when provided by application info
      and not by model)
    * IniFile backend can read/write check list
    * Warp feature can be driven by a check list. See upstream change
      file for details.
    * ValueComputer: escape quotes in variables (Closes: #810768)
    * Value: fix check of reference values

 -- Dominique Dumont <dod@debian.org>  Thu, 21 Jan 2016 10:17:01 +0100

libconfig-model-perl (2.075-2) unstable; urgency=medium

  * properly remove obsolete conffile /etc/bash_completion.d/cme_multistrap
    (Closes: #806766)

 -- Dominique Dumont <dod@debian.org>  Sat, 02 Jan 2016 17:58:48 +0100

libconfig-model-perl (2.075-1) unstable; urgency=medium

  * Imported Upstream version 2.075
    * Lister can list local (dev) application

 -- Dominique Dumont <dod@debian.org>  Tue, 24 Nov 2015 10:13:12 +0100

libconfig-model-perl (2.074-1) unstable; urgency=medium

  * Imported Upstream version 2.074
    * Loader: added navigation with upward search. E.g. with a
      command like '/foo', the loader will go up the tree until
      a node containing a 'foo' element is found.

 -- Dominique Dumont <dod@debian.org>  Tue, 13 Oct 2015 12:11:01 +0200

libconfig-model-perl (2.073-1) unstable; urgency=medium

  * Imported Upstream version 2.073
    * Loader: convert literal "\n" into real \n
    * shell UI: added 'tree' command to show config tree from current node
    * Node: Warn if an accepted element is likely a typo (required for #789568)
      (this feature requires module Text::Levenshtein::Damerau to be installed)
    * removed cme-old command
  * removed cme-old bash_completion file (conffile)
  * control: added libtext-levenshtein-damerau-perl in BDI and Recommends

 -- Dominique Dumont <dod@debian.org>  Tue, 21 Jul 2015 13:28:42 +0200

libconfig-model-perl (2.071-3) unstable; urgency=medium

  * Add build dependency on libmodule-build-perl.
  * Add debian/upstream/metadata.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Jun 2015 15:33:17 +0200

libconfig-model-perl (2.071-2) unstable; urgency=medium

  * removed dh_cme_upgrade (now in cme package)

 -- Dominique Dumont <dod@debian.org>  Thu, 28 May 2015 19:55:59 +0200

libconfig-model-perl (2.071-1) unstable; urgency=medium

  * Imported Upstream version 2.071:
    * shell like user interface:
      * fixed completion of commands (like set, clear...)
      * improved error message sent when command is wrong
      * use item location as prompt
    * Loader: fixed parding of command like foo:.insort("bar( stuff )")
      which are also used in shell UI.
    * Backend::Any: mention cme command used to edit config file in
      comment header when writing back files. (e.g. "You can run
      'cme edit lcdproc' to modify this file" is written in header
      of /etc/LCDd.conf)
    * Value: fixed formatting and errors in pod doc
  * Added patch to fix debci (Closes: #785528)

 -- Dominique Dumont <dod@debian.org>  Sat, 23 May 2015 14:24:42 +0200

libconfig-model-perl (2.070-1) unstable; urgency=medium

  * Imported Upstream version 2.070:
    * Model:
    * include no longer include read/write spec (Closes: #783952)
      read/write is now included with include_backend
    * Hash and Array: clear now triggers notify_change
    * Value: boolean conversion (e.g yes/no to 1/0) during initial load
      must not trigger a change notification...
    * shell UI:
      + added fix command
      + added clear command for list hash and value.
  * dh_cme_upgrade:
    * tell user where to find config file when refusing automatic upgrade
    * inject dependency on cme and not on libconfig-model-perl
  * added mainscript to remove obselete conffiles (Closes: #784113)

 -- Dominique Dumont <dod@debian.org>  Sun, 03 May 2015 17:40:16 +0200

libconfig-model-perl (2.069-1) unstable; urgency=medium

  * Imported Upstream version 2.069
    * Model: Allow inclusion of read/write specification

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Apr 2015 14:25:00 +0200

libconfig-model-perl (2.068-1) experimental; urgency=medium

  * Imported Upstream version 2.068
    * Value: request configuration save when initial load
      detects problem like duplicated or mismatched values
      in config file

 -- Dominique Dumont <dod@debian.org>  Mon, 30 Mar 2015 09:08:44 +0200

libconfig-model-perl (2.067-1) experimental; urgency=medium

  * Imported Upstream version 2.067 (doc and bug fixes)

 -- Dominique Dumont <dod@debian.org>  Tue, 03 Mar 2015 13:39:10 +0100

libconfig-model-perl (2.066-1) experimental; urgency=medium

  * Imported Upstream version 2.066
    * C::M::Instance:
      + added on_message_cb and show_message parameters
    * C::M::GenClassPod:
      * added missing doc for gen_class_pod parameters
      * generate doc in a reproducible way by using "sort keys". This should
        fix Debian problem with unreproducible build found on
        libconfig-model-dpkg-perl and libconfig-model-itself-perl
  * control: added Testsuite parameter

 -- Dominique Dumont <dod@debian.org>  Tue, 17 Feb 2015 13:06:38 +0100

libconfig-model-perl (2.065-1) experimental; urgency=medium

  * Imported Upstream version 2.065
  * control: updated Standard-Version to 3.9.6
  * copyright: updated © years

 -- Dominique Dumont <dod@debian.org>  Wed, 07 Jan 2015 12:07:55 +0100

libconfig-model-perl (2.064-1) experimental; urgency=medium

  * Imported Upstream version 2.064

 -- Dominique Dumont <dod@debian.org>  Fri, 05 Dec 2014 13:20:06 +0100

libconfig-model-perl (2.063-1) experimental; urgency=medium

  * Imported Upstream version 2.063:
    * old config-edit command is now gone
  * cme command is no longer delivered with this package.
    cme is now delivered cme package (Closes: #752797).
    To help the transition, this package delivers cme-old. You can
    use this command until cme package is available or if you find
    bugs in the new cme command (which now uses App::Cmd).
  * refreshed patches
  * updated remove-call-to-env patch
  * updated add_dh_config patch patch

 -- Dominique Dumont <dod@debian.org>  Mon, 01 Dec 2014 17:41:29 +0100

libconfig-model-perl (2.061-1) unstable; urgency=medium

  * Imported Upstream version 2.061:
    * ValueComputer: leave $@ and $! alone in formula.
      Also skip variables like '$ foo'

 -- Dominique Dumont <dod@debian.org>  Wed, 24 Sep 2014 08:46:31 +0200

libconfig-model-perl (2.060-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Dominique Dumont ]
  * Imported Upstream version 2.060
    * Avoid new perl 5.20 warning (Closes: #758320)
    * Value: improved notify change message (computed vs preset vs default)
    * fix pod doc in cme (Closes: #756433)
  * removed obsolete cleanup-yaml-version patch

 -- Dominique Dumont <dod@debian.org>  Mon, 08 Sep 2014 18:37:29 +0200

libconfig-model-perl (2.059-1) unstable; urgency=medium

  * Imported Upstream version 2.059:
    * cme:
      + added shell command as a shortcut to 'cme edit -ui shell'.
        E.g 'cme shell ssh' to edit ssh_config through a shell like UI
      + add :@ and :.sort sub command for ordered hash.
        E.g.: "cme modify  dpkg-control ~~ 'binary:~/.*/ Depends:.sort' -save"
        or "cme modify dpkg-copyright ~~ 'Files:.sort' -save "
    * cme shell mode:
      * fix or add completion for several commands
      * added shell style pattern match to ll and ls command (e.g 'ls foo*')
    * remove version req from use YAML::Any 0.303 (Closes: #752942  #753207)
  * added patch to cleanup YAML::Any version from META.* and Build.PL

 -- Dominique Dumont <dod@debian.org>  Mon, 30 Jun 2014 13:20:50 +0200

libconfig-model-perl (2.058-1) unstable; urgency=medium

  * New upstream release.
    Fixes 'cme check dpkg-copyright' crash.
  * Drop patch fix-cryptic-message, merged upstream.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 19 Jun 2014 22:51:17 +0200

libconfig-model-perl (2.057-1) unstable; urgency=medium

  * cme: modify cryptic user message about "Fixing stuff"
  * fix dh_cme_upgrade pod doc
  * Revert "cme: modify cryptic user message about "Fixing stuff""
  * added patch to fix cme cryptic message
  * Imported Upstream version 2.057

 -- Dominique Dumont <dod@debian.org>  Sun, 15 Jun 2014 21:01:15 +0200

libconfig-model-perl (2.056-1) unstable; urgency=medium

  * Imported Upstream version 2.056
    - This release deprecates experience associated with configuration
      element. experience specification in models is now ignored.
    * added bash_completion snippet associated to a model. This will
      be useful for dpkg-patch model
    * replaced File::Slurp and Path::Class with Path::Tiny
  * control:
    - removed dep on libfile-slurp-perl and libpath-class-perl
    + added dep on libpath-tiny-perl
  + bash_completion: added cme_multistrap
  * refreshed patch

 -- Dominique Dumont <dod@debian.org>  Tue, 20 May 2014 07:52:31 +0200

libconfig-model-perl (2.055-1) unstable; urgency=medium

  * Imported Upstream version 2.055
    This release removes all code related to asynchronous stores.
    You may see deprecation warning about callback parameter with
    other Config::Model::* modules. This will be fixed soon.
  * control: removed dep on libanyevent-perl, libev-perl,
    libnamespace-autoclean-perl

 -- Dominique Dumont <dod@debian.org>  Mon, 05 May 2014 14:05:45 +0200

libconfig-model-perl (2.054-1) unstable; urgency=medium

  * Imported Upstream version 2.054
    * Loader Dumper: fix quote handling (Closes: #743097)
    * Loader: return 'ok' after dispatching an action (avoid undef warning
      during tests)
    * cme: -save options force a save even if no semantic change was done
    * ListId: sort may trigger notify_change is elements are actually
      moved around, so 'cme modify stuff list:.sort' will save the file
      as expected.

 -- Dominique Dumont <dod@debian.org>  Thu, 03 Apr 2014 19:08:06 +0200

libconfig-model-perl (2.053-1) unstable; urgency=medium

  * Imported Upstream version 2.053:
   * Loader: fix broken list leaf assignment (like 'list:4=foo')

 -- Dominique Dumont <dod@debian.org>  Tue, 25 Mar 2014 20:46:22 +0100

libconfig-model-perl (2.052-1) unstable; urgency=medium

  * Imported Upstream version 2.052
      + added remove by value on list and hash ( :-= and :-~ )
        (Closes: #741453)
      + added lots of list and hash operator usable on 'cme modify stuff'.
        E.g. :.insort :.insert_before :.insert_at :.unshift  :.push :.sort
      + handle list/hash value substitution ( e.g. list:=~s/foo/bar/ )
      * warn when trying to remove a list element with a non numeric index
      * rationalize list and hash commands: list assignment is now
        list:=a,b,c instead of list=a,b,c

 -- Dominique Dumont <dod@debian.org>  Tue, 25 Mar 2014 18:45:22 +0100

libconfig-model-perl (2.051-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Dominique Dumont ]
  * Imported Upstream version 2.051:
    * cme: fix command like "cme modify foo ~~ <load_instructions>"
    * ValueComputer: formula with eval no longer mess with $& and ${^MATCH}
      variables used in regexp

 -- Dominique Dumont <dod@debian.org>  Fri, 07 Mar 2014 17:49:54 +0100

libconfig-model-perl (2.050-1) unstable; urgency=medium

  * Imported Upstream version 2.050
    + new features of cme command:
      + add possibility to override config file (for appli with
        allow_config_file_override) (part of Debian #739387) if config
        file override is '-', open STDIN to read and STDOUT to write.
        This way, cme can be used as a filter.
      + added -strict option so cme exits 1 when warnings are found
        (Closes: #736972)
      + added -save option to force save. Useful when just reformatting
        is desired
      + modify command can apply Perl substitution (s/foo/bar/) to
        configuration values. See cme(1p) synopsis.
    * Other changes:
      * C::M::Loader (used by 'cme modify'):
        * changed hash selection =~ sub-command to :~
        + added =~ subcommand to apply Perl substitution to values
      * Config::Model: load EV at compile time (Closes: #738975)
    * control: added [build]depends on libev-perl

 -- Dominique Dumont <dod@debian.org>  Fri, 28 Feb 2014 13:18:21 +0100

libconfig-model-perl (2.047-1) unstable; urgency=medium

  * Imported Upstream version 2.047
    * Value: store a good value cancels the error stored in Instance
    * Shell like inteface:
      * list unsaved changes and propose to save on exit or quit
      * fixed "save" command
      * added 'changes' command to list unsaved changes
      * allow also delete command on leaf element
      * added reset command to set a leaf element to undef
      * allow spaces around '=' and ':'
  * copyright: updated years

 -- Dominique Dumont <dod@debian.org>  Mon, 27 Jan 2014 20:43:26 +0100

libconfig-model-perl (2.046-2) unstable; urgency=low

  *  dh_cme_upgrade (formerly dh_config_model_upgrade) is now working:
    * mostly re-written
    * is run before install phase(ignored if run too soon)
    * can use cme to create a configuration file from scratch
    + new cme-purge options to specify which files to delete when purging
    * allow packager to use 'cme fix' instead of 'cme migrate' to allow
      configuration fixes along with configuration upgrades
  * query user to allow automatic configuration upgrade:
    + add a template file for that query
    + added debian/dh/config-script-cme
  * debian/dh/postinst-cme:
    * use '-backup dpkg-old' when calling 'cme migrate'
    * fix manual upgrade instructions

 -- Dominique Dumont <dod@debian.org>  Fri, 17 Jan 2014 19:00:56 +0100

libconfig-model-perl (2.046-1) unstable; urgency=medium

  * Imported Upstream version 2.046
    * cme:
      + added -create option to force creation of missing configuration
        file
      * improved message about applied changes and don't show '0' as <undef>
    * BackendMgr:
      + add note about cme in header of saved file (if comments
         are supported in the configuration file format)
      * Improved error message when no config file is found
      * skip backup copy if no original file is found
  * control: removed version of BD-I libconfig-model-tester-perl

 -- Dominique Dumont <dod@debian.org>  Wed, 18 Dec 2013 19:43:50 +0100

libconfig-model-perl (2.045-2) unstable; urgency=low

  * Add missing Depends on libpath-class-perl (Closes: #728494, #728514)
  * Bump Standards-Version to 3.9.5

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 02 Nov 2013 09:55:18 +0100

libconfig-model-perl (2.045-1) unstable; urgency=low

  * Imported Upstream version 2.045:
    * cme: print an error message when no application is
      specified (Closes: #726447)
    * Added JSON backend
    * cme: force write back if -force option is used
  * control:
    * bump libconfig-model-tester to 2.046
    - removed unused dep on libpath-class-perl
    + added dep on libjson-perl

 -- Dominique Dumont <dod@debian.org>  Sun, 20 Oct 2013 15:12:18 +0200

libconfig-model-perl (2.043-1) unstable; urgency=low

  * Imported Upstream version 2.043:
    * Value: accept yes/no true/false as default value for Boolean.
      This can make model declaration more consistent when boolean
      value must be written as true/false, yes/no. In this case,
      forcing model developer to write default value as 0/1 was not
      cool and prevented generation of model like LcdProc's model.
    * Config::Model: load AnyEvent as soon as possible to avoid
      test issues
  + added patch to replace '#!/usr/bin/env perl' with #!/usr/bin/perl
  - control: removed dependencies that were needed by dpkg model

 -- Dominique Dumont <dod@debian.org>  Sat, 21 Sep 2013 12:19:37 +0200

libconfig-model-perl (2.041-1) unstable; urgency=low

  * Imported Upstream version 2.041
    * The ENCRYPT parameter of Popularity contest model was changed from
      boolean type to a yes,maybe,no value, thus allowing a
      "réponse de Normand" ;) This follows up resolution of Debian
      bug #714917.
    * Config::Model::Tester class was moved in its own distribution.
    * Avoid warning with 'cme list' (Closes: #719197)
    * ShellVar backend: Allow variable assignement like "foo = value".
      This is not legal is Shell but sometimes used in configuration files
      using a shell like syntax (Closes: #719256)
   * control: BD-I on libconfig-model-tester-perl. Removed unused build-dep

 -- Dominique Dumont <dod@debian.org>  Tue, 20 Aug 2013 14:26:58 +0200

libconfig-model-perl (2.040-1) unstable; urgency=low

  * Imported Upstream version 2.040
    * improved check_list
    * backend can now handled layered config like ssh_config
  * added example of log config file for Config::Model in doc
  * refreshed patch
  * control:
    * updated description to explain why some packages are
      recommended or suggested
    * - removed 'enhances' relation with lcdproc (no longer applies)

 -- Dominique Dumont <dod@debian.org>  Mon, 22 Jul 2013 19:46:13 +0200

libconfig-model-perl (2.038-1) unstable; urgency=low

  * Imported Upstream version 2.038:
    + cme: added -backup option.
    + popcon model: added ENCRYPT support
    * Ini backend: fix bug with 'cme check lcdproc' run on
      upstream LCDd.conf
  * copyright: removed unused GPL-2 license

 -- Dominique Dumont <dod@debian.org>  Thu, 04 Jul 2013 20:16:42 +0200

libconfig-model-perl (2.037-1) unstable; urgency=low

  * Imported Upstream version 2.037:
    * Removed LcdProc model (now in its own package)
  * copyright: removed lcdproc related files
  * control: removed lcdproc from description
  * bumped compat to 9

 -- Dominique Dumont <dod@debian.org>  Wed, 19 Jun 2013 09:02:33 +0200

libconfig-model-perl (2.036-1) unstable; urgency=low

  [ gregor herrmann ]
  * Add =encoding to POD in dh_config_model_upgrade.

  [ Dominique Dumont ]
  * Imported Upstream version 2.036
    * config-edit: added deprecation warning
    * Value: fix pod doc error in L<> (Closes: #709784)
    * Node::load_data: use a predictable order to accept elements.
      This change fixes the test failure in t/backend_ini.t
      (Closes: #709785)
    * make t/pod.t run only when AUTHOR_TESTING is set

 -- Dominique Dumont <dod@debian.org>  Sun, 26 May 2013 12:40:30 +0200

libconfig-model-perl (2.035-1) unstable; urgency=low

  * Imported Upstream version 2.035:
    * cme:
      * make sure that async store is used before actual check
      * load Tk only when using edit command (avoids issues on exit
        with AnyEvent)
    * All: use directly Mouse instead of going through Any::Moose
    * Fstab model: added missing relatime option
    * Doc: clarified and moved model plugin doc in advanced manual
  - control: removed dependencies on libany-moose-perl
    libanyevent-http-perl and libapt-pkg-perl

 -- Dominique Dumont <dod@debian.org>  Sat, 27 Apr 2013 20:09:27 +0200

libconfig-model-perl (2.030-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Dominique Dumont ]
  * Imported Upstream version 2.030:
    The main change of this release is to provide asynchronous store
    check.  Now, a model can check the validity of a configuration
    value against a remote resource in a non-blocking way. This is
    currently used by Dpkg model to check the validity of package
    names with Debian server through several concurent http
    requests. See /usr/share/doc/libconfig-model-perl/changelog
    for more details.
  * control: updated standaards-version to 3.9.4
  * copyright: updated years

 -- Dominique Dumont <dod@debian.org>  Sat, 23 Mar 2013 17:05:19 +0100

libconfig-model-perl (2.029-2) unstable; urgency=low

  * control: recommends fuse instead of transitional package 
    fuse-utils (Closes: #696610)

 -- Dominique Dumont <dod@debian.org>  Mon, 24 Dec 2012 12:23:58 +0100

libconfig-model-perl (2.029-1) unstable; urgency=low

  * new upstream version
    * cme-gen-class-pod: pod doc can be generated from
      a class specified on command line argument (really this
      time, previous version was broken)
    * cme: run the first extension found in @INC, not the last one

 -- Dominique Dumont <dod@debian.org>  Wed, 28 Nov 2012 19:32:31 +0100

libconfig-model-perl (2.028-1) unstable; urgency=low

  * Imported Upstream version 2.028
    * cme:
      + added a BUGS section in man page
      * Improved error message for unknown elements

 -- Dominique Dumont <dod@debian.org>  Tue, 27 Nov 2012 17:25:21 +0100

libconfig-model-perl (2.027-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Add missing Depends on libfile-slurp-perl

  [ Dominique Dumont ]
  * new upstream version:
    * fix checklist problem with writing default values
      (which broke openssh demo). (Closes: #691338)
    * Dumper: fix wrong module reference in pod doc
  * removed add-extensions-file patch (applied upsream)

 -- Dominique Dumont <dod@debian.org>  Tue, 30 Oct 2012 19:22:39 +0100

libconfig-model-perl (2.026-3) unstable; urgency=low

  * removed obsolete statement in NEWS (Closes: #689909)
  * control: removed dep on lintian.
    Added dep on libpath-class-perl (Closes #689958)

 -- Dominique Dumont <dod@debian.org>  Tue, 09 Oct 2012 13:42:39 +0200

libconfig-model-perl (2.026-2) unstable; urgency=low

    * control: added libconfig-model-dpkg-perl and
      libconfig-model-openssh-perl in suggests. updated
      description. Moved libconfig-model-tkui-perl from suggest to
      recommend.

 -- Dominique Dumont <dod@debian.org>  Sun, 07 Oct 2012 10:39:52 +0200

libconfig-model-perl (2.026-1) experimental; urgency=low

  * Imported Upstream version 2.026:
    Moved all Debian dpkg stuff into libonfig-model-dpkg-perl.

 -- Dominique Dumont <dod@debian.org>  Wed, 03 Oct 2012 11:23:22 +0200

libconfig-model-perl (2.024-1) experimental; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Dominique Dumont ]
  * Imported Upstream version 2.024:
    * Debian dpkg dependency:
      * Warn and (maybe) remove unversioned dependency on essential
        package (Closes: #684208)
      * Warn and (maybe) replace perl-modules dependency with perl
      * Don't mess with alternate dependency with < relation
        (Closes: #682730)
      * remove Debian epoch when checking perl module version
        from corelist (Closes: #683861)
    * cme command changes:
      + added bash completion for 'fix' subcommand
      + added -dir-char option for fusefs command. This option is 
        required when using fuse on top of debian/copyright, 
        for instance with
        cme fusefs dpkg-copyright -fuse-dir tmp -dir-char '\'
  * removed pod patch (applied upstream)
  * removed corelist version patch (applied upstream)
  * patched fuseui test: do not force load fuse in buildd

 -- Dominique Dumont <dod@debian.org>  Thu, 06 Sep 2012 15:59:30 +0200

libconfig-model-perl (2.023-2) experimental; urgency=low

  * New patch module_corelist-version: Module::CoreList expects a version
    object. Thanks to Ansgar Burchardt for his help.

 -- gregor herrmann <gregoa@debian.org>  Thu, 05 Jul 2012 11:53:24 -0600

libconfig-model-perl (2.023-1) experimental; urgency=low

  * New upstream release:
    - In control binary Depends, replace 'perl' dep with ${perl:Depends}
  * Refresh patch add_dh_config (offset).
  * New patch pod-glitch (missing "=back").

 -- gregor herrmann <gregoa@debian.org>  Wed, 04 Jul 2012 10:18:17 -0600

libconfig-model-perl (2.022-1) experimental; urgency=low

  * New upstream release:
    - added -from and -filter option to cme fix command
  * Drop patch fix-race-condition-dependency-check, merged upstream.

 -- gregor herrmann <gregoa@debian.org>  Tue, 03 Jul 2012 11:56:59 -0600

libconfig-model-perl (2.021-3) unstable; urgency=low

  * use patch from upstream to fix unsaved changes (Closes: #681353)
    Config::Model saves back data only when they are changed. To keep
    track of the changes, the notify_changes method must be called
    whenever a data is changed, otherwise the modifications will be
    lost. The patch fix-unsaved-change add calls to the notify_change
    method where it was forgotten. The second patch
    (test-fix-unsaved-changes) add the relevant test cases.

 -- Dominique Dumont <dod@debian.org>  Fri, 13 Jul 2012 14:22:05 +0200

libconfig-model-perl (2.021-2) unstable; urgency=low

  * added a patch to fix a race condition between async calls to rmadison

 -- Dominique Dumont <dod@debian.org>  Fri, 29 Jun 2012 14:14:02 +0200

libconfig-model-perl (2.021-1) unstable; urgency=low

  * Imported Upstream version 2.021
    * Debian::Dpkg
      * Bump default compat level to 9 (for hardening)
      * dependency model:
        * Make concurrent calls to madison to reduce user wait 
          with AnyEvent::HTTP
        * make sure that apply_fix trigger notification changes 
          so the fixes are indeed saved when running apply_fix 
          (thanks to gregoa for the heads up)
      * copyright: allow any non-space character for license short name
  * imported upstream
  * control: 
    - removed dep on libwww-perl
    + added dep on libanyevent-perl.
    + added dep on libanyevent-http-perl

 -- Dominique Dumont <dod@debian.org>  Fri, 29 Jun 2012 13:27:39 +0200

libconfig-model-perl (2.020-1) unstable; urgency=low

  * new upstream release
    * Fix DEP-3 model for patch handling
    * fix cme doc example (Closes: #677069)
  * control: Depends on liblist-moreutils-perl

 -- Dominique Dumont <dod@debian.org>  Thu, 21 Jun 2012 13:19:12 +0200

libconfig-model-perl (2.019-1) unstable; urgency=low

  * Imported Upstream version 2.019
    (Small bug fixes and doc improvements)

 -- Dominique Dumont <dod@debian.org>  Tue, 05 Jun 2012 19:05:32 +0200

libconfig-model-perl (2.018-1) unstable; urgency=low

  * new upstream release
    + Debian::Dependency: Added a check and fix for debhelper version
      requirement taking into account compat value. This check is
      available only with full dpkg model (i.e. "cme xxx dpkg"
      command). It is disabled when using only dpkg-contol model ("cme
      xxx dpkg-control").
    * Debian::Dpkg model: fix default Vcs-Git URL for debian-perl packages
    * cme: better formatting when printing changes. No more false
      positives.
  + control: added dependency on lintian (used to check debhelper dep
    requirement vs compat

 -- Dominique Dumont <dod@debian.org>  Wed, 30 May 2012 14:46:13 +0200

libconfig-model-perl (2.015-1) unstable; urgency=low

  * new upstream version
    * Framework changes:
        * List, Hash, Value: ensure that migration is done after initial
          load, i.e. once all data from configuration file is loaded.
        * Value: don't trigger notify_change with update undef -> undef

 -- Dominique Dumont <dod@debian.org>  Mon, 14 May 2012 21:11:29 +0200

libconfig-model-perl (2.014-1) unstable; urgency=low

  * new upstream version:
    * cme: list changes before saving data (unless save is handled by
      user interface) (HEAD, master)
    * Dpkg backend: provide error messages with the line
      number where the error was found. (Closes: #670441)
  * control: new dependency on libtext-diff-perl

 -- Dominique Dumont <dod@debian.org>  Sun, 06 May 2012 10:13:54 +0200

libconfig-model-perl (2.013-1) unstable; urgency=low

  * Imported Upstream version:
    * Debian Dpkg model: Moved libtiff4 transition warning
      from source Build-Depends to binary Depends
    * Debian Dep-3 patch parser: quilt formats patch in a very concise
      way.  There's no Index: line and no '====='. OTOH, imported patch
      may contain this lines until the patch is refreshed. This commit
      makes sure that both types of patch are parsed correctly.
    * Debian model: changed meta element into my-config. This should
      make clear that this element stores user's config regarding dpkg
      files.
    * Tester: Produced file order is not important. Make sure both
      list are sorted before being compared (Closes: #666705)

 -- Dominique Dumont <dod@debian.org>  Sat, 07 Apr 2012 19:34:55 +0200

libconfig-model-perl (2.011-3) unstable; urgency=low

  * bash-completion: added forgotten file for cme

 -- Dominique Dumont <dod@debian.org>  Sat, 24 Mar 2012 14:07:04 +0100

libconfig-model-perl (2.011-2) unstable; urgency=low

  * Set temporary $HOME during build for test suite. (Closes: #665228)

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 Mar 2012 00:20:08 +0100

libconfig-model-perl (2.011-1) unstable; urgency=low

  * Imported Upstream version 2.011:
    + Debian copyright: added deprecated License-Alias parameter.
      When set to 'Perl', this parameter is migrated into
      License: Artistic or GPL-1+
    + Debian DpkgSyntax: better error message. This was really annoying
      for DEP-3 patch parser.
    + cme: added forgotten -stack-trace option

 -- Dominique Dumont <dod@debian.org>  Tue, 20 Mar 2012 12:50:35 +0100

libconfig-model-perl (2.010-1) unstable; urgency=low

  * Imported Upstream version 2.010
      * Debian control:
        * fix warning of section and priority fields
        + added check and fix for libpng and libtiff4 transitions
        * Debian Copyright: added warnings if Files uses either [ ] or |
        (thanks gregoa for the suggestion)
      * cme: check must check all values

 -- Dominique Dumont <dod@debian.org>  Wed, 14 Mar 2012 15:00:05 +0100

libconfig-model-perl (2.008-1) unstable; urgency=low

  * Imported Upstream version 2.008
      * Debian control:
        + comments are now parsed correctly
      * Debian copyright model:
        + added support for deprecated X-Comment. X-Comment fields are converted

 -- Dominique Dumont <dod@debian.org>  Fri, 02 Mar 2012 12:56:29 +0100

libconfig-model-perl (2.007-1) unstable; urgency=low

  * New upstream release:
    - cme: fix 'migrate' command.

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Feb 2012 18:57:31 +0100

libconfig-model-perl (2.006-1) unstable; urgency=low

  * Imported Upstream version 2.006:
      * Debian control model:
        * bumped default Debian source standards version to 3.9.3
        - no longer try to enforce first lowercase in Synopsis. 
          Too many false positives (Closes: #661184)
        - Removed check for virtual package (source packages are seen as
          virtual packages). Unfortunately, virtual packages are now reported 
          as unknown packages. Suggestions on how to fix this are welcome.
      * Debian copyright model:
        * changed copyright type from line based list to string leaf
    * Framework changes:
      + cme: added forgotten 'migrate' command (i.e. cme migrate stuff)
  * control: bumped standard version to 3.9.3 (no other changes)

 -- Dominique Dumont <dod@debian.org>  Sat, 25 Feb 2012 15:03:14 +0100

libconfig-model-perl (2.005-1) unstable; urgency=low

  * New upstream release.
  * Update years of packaging copyright.
  * (Build-)depend on perl 5.11.1 (for File::Path 2.07).
  * Refresh patch add_dh_config (offset).
  * Update Format: URL in debian/copyright.
  * Remove one of the lintian overrides.

 -- gregor herrmann <gregoa@debian.org>  Thu, 23 Feb 2012 22:49:12 +0100

libconfig-model-perl (2.004-1) unstable; urgency=low

  * Imported Upstream version 2.004:
    + new cme program to replace config-edit
    * Performance improvement
    * dpkg model:
      + added rules element for debian/rules file
      + contro: added migration from XC-Package-Type to Package-Type
  * copyright: updated (c) years
  * control:
    + added BDI on libtest-memory-cycle-perl.
    + added BD[I] on libnamespace-autoclean-perl
    * Updated description and hme page
  * refreshed patch to cope with new cme script

 -- Dominique Dumont <dod@debian.org>  Fri, 10 Feb 2012 12:49:21 +0100

libconfig-model-perl (1.265-1) unstable; urgency=low

  * Imported Upstream version 1.265
       * model Debian::Dpkg:
          + added Multi-Arch parameter
          * don't fail when debian/copyright is missing or empty
  * refreshed patch for new MANIFEST

 -- Dominique Dumont <dod@debian.org>  Wed, 07 Dec 2011 14:02:16 +0100

libconfig-model-perl (1.264-1) unstable; urgency=low

  * Imported Upstream version 1.264:
    * Application changes:
      + new multistrap model. Supports multistrap's layered configuration
      * lcdproc:
        * lcdconf2model.pl: added better check of info in square brackets
        * lcdproc/LCDd.conf: resync with upstream lcdproc LCDd.conf
      * model Debian::Dpkg: removed email checks
      * bash_completion: use new Lister class to gain a lot of speed
    * Updated INI file backend to take care of various conventions
  * control: added BDI on libtest-file-contents-perl

 -- Dominique Dumont <dod@debian.org>  Wed, 30 Nov 2011 16:58:13 +0100

libconfig-model-perl (1.260-1) unstable; urgency=low

  * New upstream version:
    * Application changes
        * Backend Debian::Dpkg: skip empty lines in patch series files
    * Framework changes:
        + Config::Model::Tester: new class extracted from t/model_tests.t
          to test config files and models.

 -- Dominique Dumont <dod@debian.org>  Sat, 29 Oct 2011 18:15:54 +0200

libconfig-model-perl (1.259-1) unstable; urgency=low

  * Imported Upstream version 1.259
    * Application changes
        * model Debian::Dpkg: Bumped compat default value to 8
        * model Debian::Dpkg::Patch: Synopsis is no longer mandatory.
          Issue a warning for empty Synopsis and propose a value based
          on patch name
        + model Debian::Dpkg::Meta: added email element
        + model Debian::Dpkg::Copyright::LicenseSpec: compute license
          text from Software::License (requires version patched for Debian)
        * Backend::Debian::Dpkg::Copyright: Rewrote parser to classify
          correctly Files and Licenses paragraph even if extra fields are
          prepended.
        * model Debian::Dpkg::Control::Source: Vcs-browser must also accept
          https URLs
        * lcdproc:  fixed some specs in square brackets in LCDd.conf template.
          Reworked model generator to better specs in square brackets and
          handle model snippets in curly brackets
     * Framework changes: usual bunch of bug fixes and minor features
  + control: added libsoftware-license-perl dependency.
  * control: Updated description

 -- Dominique Dumont <dod@debian.org>  Sun, 16 Oct 2011 18:10:03 +0200

libconfig-model-perl (1.257-1) unstable; urgency=low

  * Imported Upstream version 1.257:
    * Framework changes:
        * config-edit: avoid deprecation warning
        * C::M::AnyId: enable automatic fix of duplicated values
        * C::M::Node: Create BackendMgr when read_config or write_config
          is defined (Closes: #642157)
    * Application changes
        + models Debian::Dpkg::Control::Binary and Source:
          added duplicates warning in dependencies
        + model Debian::Dpkg::Control::Source:
          compute Vcs-Browser and Vcs-Git default value for pkg-perl team
        * model Debian::Dpkg::Patch: No need for a first capital letter
          restriction. Look for debian patches in the correct places
  * debian/copyright: fix GPL typo

 -- Dominique Dumont <dod@debian.org>  Fri, 23 Sep 2011 13:21:04 +0200

libconfig-model-perl (1.256-1) unstable; urgency=low

  [ Dominique Dumont ]
  * new upstream release
    * Framework changes:
        * Instance.pm, Node.pm: fix bug where -force_load option did
	  not work with dpkg model (takes into account force_load
          with delayed loading of config files)
    * Application changes
        * Dpkg control model: warn (and offer to fix) duplicated
          dependencies
        + Dpkg model: new compat docs and dirs parameters
  * lintian-overrides: removed *.gz files (not needed)

 -- Dominique Dumont <dod@debian.org>  Fri, 16 Sep 2011 17:53:22 +0200

libconfig-model-perl (1.254-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release
    * Framework changes:
      * AutoRead.pm: correctly handle ~ as home dir (thanks fabreg)
      * Backend/ShellVar.pm: do not write global comments if
        there's no data to write. I.e. don't write files containing
        only coments
    * Application changes:
      * Backend Debian/Dpkg/Copyright.pm:
        Fixed parser to avoid confusing License and License-Alias
      + model Debian/Dpkg/Control/Source.pl:
        warn in case of duplicated dependencies
      * Debian/Dependency.pm: Fixed handling of dependency alternates
      * Backend Debian/Dpkg/Patch.pm: patch write is now working
  * removed fix_dir patch (applied upstream)
  * New upstream release

  [Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

 -- Dominique Dumont <dod@debian.org>  Mon, 05 Sep 2011 14:03:17 +0200

libconfig-model-perl (1.250-1) unstable; urgency=low

  * New upstream release:
    * Debian Dpkg License model and backend: Reworked Licence models
      to allow comments and arbitrary parameters in stand-alone
      licences section (Closes: #633847)
  * lintian-overrides: updated to take into account the changes above
  * control: hardcoded recommended version of libmodule-corelist-perl
    (Closes: #634529)
  * rules: removed code that tinkered with recommended version
    of libmodule-corelist-perl

 -- Dominique Dumont <dod@debian.org>  Sun, 24 Jul 2011 19:52:08 +0200

libconfig-model-perl (1.249-1) unstable; urgency=low

  [ Fabrizio Regalli ]
  * New upstream release:
    * Bug fixes
    * Config/Model/Debian/Dependency.pm: reworked to take buildd
      limitation into account (check if Perl version is available
      in sid to decide the order of the alternates dependencies)

  [ gregor herrmann ]
  * debian/control, debian/rules: use current version of
    libmodule-corelist-perl for Recommends.

  [ Dominique Dumont ]
  * debian/control and copyright: updated my email address.
  * control: added libmodule-corelist-perl >= 2.52 to pass non-reg tests

 -- Dominique Dumont <dod@debian.org>  Fri, 15 Jul 2011 18:22:57 +0200

libconfig-model-perl (1.248-1) unstable; urgency=low

  * New upstream release
  * Added myself to Uploaders and Copyright.
  * Switch d/compat to 8.
  * Build-Depends: switch to debhelper (>= 8).
  * Added fix_dir.patch.

 -- Fabrizio Regalli <fabreg@fabreg.it>  Wed, 06 Jul 2011 09:56:15 +0200

libconfig-model-perl (1.247-1) unstable; urgency=low

  * New upstream release (Fix issue is INI backend
      triggered by default LCDd.conf file)
  - Removed spelling patch (applied upstream)

 -- Dominique Dumont <domi.dumont@free.fr>  Tue, 28 Jun 2011 13:31:02 +0200

libconfig-model-perl (1.246-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release:
    * Application changes:
       * models Debian::Dpkg::Copyright::License:
          Allow any license exception keyword (closes: #627874)
       + New model for lcdproc:
          The model for lcdproc (LCDd) is generated from the template
          LCDd.conf file provided by lcdproc project. This model can be
          generated by running Dist::Zilla (when working from Mercurial) or
          by running Build.PL (when working from Config::Model Perl
          distribution).
    * Framework changes:
        * IniFile backend: Do not write twice leaf comments. When check is
          set to 'no', discard data that belongs to unavailable elements
  * debian/control:
    + mention lcdproc in description.
    + Added "Enhances: lcdproc"
  + debian/patches: added spelling patch to fix generated lcdproc doc
  + debian/copyright: updated with lcdproc files. Updated my e-mail.

  [ gregor herrmann ]
  * Refresh patch add_dh_config (offset).

 -- Dominique Dumont <domi.dumont@free.fr>  Thu, 23 Jun 2011 17:32:46 +0200

libconfig-model-perl (1.244-1) unstable; urgency=low

  * New upstream release
    * Fstab model: Prevent wrong value in fs_passno and fs_freq with 
      bound mount point
    + Dpkg: Added doc for control Architecture. Fix pod doc in DpkgSyntax 
      backend
    + config-edit: added -search and -narrow-search options. This options
      enable search in tree element, values and tree documentation. 
    * config-edit: cleaned up option names (always accept '-' in place of '_')
  - removed fix_perl_group_filter patch (applied upstream)

 -- Dominique Dumont <domi.dumont@free.fr>  Tue, 17 May 2011 14:49:11 +0200

libconfig-model-perl (1.243-1) unstable; urgency=low

  * New upstream release:
    * dpkg control: bumped standard version to 3.9.2
    * dpkg: fix spelling . Closes RT# 67783 and 67784. Thanks carnil
    * dpkg control license: tweaked grammar to accept commas in license
      fields. Closes: #624305. Thanks Niko Tyni.
    * Dpkg/Control/Source.pl : added XS-Python-Version and X-Python-Version
      (first step to solve Debian #624321)
    * Debian Dpkg Meta model: package filter is computed from group-filter
      OR private policy
    * reworked warp registration mechanism (Changed inherited WarpedThing
      into delegation to new Warper class)
  * debian/patches:
    + refreshed fix_perl_group_filter
    - removed bump-standard-version (applied upstream)
    - removed fix-typo-for-dpkg-source-manpage and
      fix-spelling-error-in-manpage.patch (applied
      upstream)

 -- Dominique Dumont <domi.dumont@free.fr>  Thu, 05 May 2011 13:53:28 +0200

libconfig-model-perl (1.242-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release
    - dpkg control: added Build-Conflicts field
    - dpkg: Added model for debian/source/options
      and debian/clean files
  * refreshed bump-standard-version patch
  * control: set standard version to 3.9.2 (no other changes)

  [ Salvatore Bonaccorso ]
  * Add fix-typo-for-dpkg-source-manpage.patch patch to fix references
    to dpkg-source manpage.
  * Add fix-spelling-error-in-manpage.patch patch to fix some spelling
    errors in manpages.

 -- Dominique Dumont <domi.dumont@free.fr>  Tue, 26 Apr 2011 14:21:15 +0200

libconfig-model-perl (1.241-1) unstable; urgency=low

  * New upstream release (bug fixes)
  * control: added libtest-differences-perl to BDI
  * new patch: bump-standard-version in control model
  * README.debian: rewrote a sentence to keep lintian happy
  * added fix_perl_group_filter patch to set pkg-perl group
    dependency filter to older than etch

 -- Dominique Dumont <domi.dumont@free.fr>  Fri, 08 Apr 2011 15:04:29 +0200

libconfig-model-perl (1.240-1) unstable; urgency=low

  * New upstream release:
    - dpkg model:
        o can now tune the cleanup of versioned dependencies
        o dependency warns if a package is unknown
        o can update e-mail addresses depending on meta-parameters
    - all models are now documented in their own man pages
    - replaced Moose dependency with Any::Moose
    - Model: added author, copyright, license fields.
    - config-edit: new -gen-pod option to generate pod document
      from config class
  * control:
    - BDI and depends: replaced libmoose* dependencies with
     libmouse-perl, libmousex-nativetraits-perl, libany-moose-perl
     libmousex-strictconstructor-perl
    - BDI and depends: added libfile-homedir-perl, libpod-pom-perl
    - BDI: added libfile-slurp-perl
  * refreshed patch add_dh_config
  * added libconfig-model-perl.lintian-overrides
  * New upstream release

 -- Dominique Dumont <domi.dumont@free.fr>  Tue, 05 Apr 2011 19:37:52 +0200

libconfig-model-perl (1.235-1) unstable; urgency=low

  * New upstream release:
    - dpkg control source model: Encourage Standard-Version 3.9.1
    - dpkg control dependency: only versions older than old-stable (i.e.
      not found on madison) will trigger a warning
    - dpkg copyright: Handle license in header (Closes: #614776)
    - Dpkg copyright backend: skip empty copyright lines
    - config-edit: Force to load all sub-models (i.e. control, copyright) of
      a top-model (err.. dpkg) when run with option -ui none

 -- Dominique Dumont <domi.dumont@free.fr>  Tue, 01 Mar 2011 17:30:53 +0100

libconfig-model-perl (1.234-1) unstable; urgency=low

  * New upstream release
    - Fix bad handling of leaf type Ini backend
     (Thanks Krzysztof for the notice)

 -- Dominique Dumont <domi.dumont@free.fr>  Wed, 23 Feb 2011 09:59:03 +0100

libconfig-model-perl (1.233-1) unstable; urgency=low

  * New upstream release
    - dpkg control source model: Added DM-Upload-Allowed and
      all Vcs-* tags defined in Debian reference guide (Peter Pentchev)
    - Backend Ini file: Fixed comment handling
    - All modules: Improved synopsis. You can now save them in a file and
      have a working program
  * control: changed my e-mail address

 -- Dominique Dumont <domi.dumont@free.fr>  Sun, 13 Feb 2011 18:50:56 +0100

libconfig-model-perl (1.232-1) unstable; urgency=low

  * New upstream release:
    - Debian::Dependency: reworked to reduce calls to madison. Report
      available versions when unnecessary version issue is found. Source
      is optional.
    - dpkg control model: added forgotten Enhances and
      Pre-Depends. Added warnings for too long lines in Descriptiom
      (plus fix based on Text::Autoformat). Added Synopsis element to
      better tune warnings and fixes

  * control: added dependency on libtext-autoformat-perl

 -- Dominique Dumont <dominique.dumont@hp.com>  Sun, 30 Jan 2011 19:04:04 +0100

libconfig-model-perl (1.230-1) unstable; urgency=low

  * New upstream release
    - Debian::Dependency: don't check debhelper version
    - Debian::Copyright: removed license keyword warnings. (Closes: #610242),
      lots of other bug fixes (Closes: #609889, #610231)
    - FuseUI: Fix bug that disabled write in a boolean value
  * copyright: updated to candidate dep-5 format (dogfooding mode ;-) )

 -- Dominique Dumont <dominique.dumont@hp.com>  Fri, 21 Jan 2011 13:23:50 +0100

libconfig-model-perl (1.229-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release:
    - Debian::Dpkg::Copyright: updated to new CANDIDATE DEP-5
      specification. Copyright files written for older specifications
      are migrated to the new specification. This should save a lot of
      typing from my fellow Debian packagers. Feedbacks are welcome.
    - Value.pm: warn_if_match and warn_unless_match can speficy 
      instructions to "fix" the value.
    - config-edit: added -apply-fixes option to apply the fixes mentioned
      above
    - Debian::Dependency: new class derived from Value to provide checks 
      specific to Debian dependencies (syntax, whether a "(>= vers)" is 
      necessary or not, ... )

  [ Jonathan Yu ]
  * No longer install README, it is autogenerated
  * Update copyright information
  * Add dependency on libapt-pkg-perl (for AptPkg::Version) and libwww-
    perl (for LWP::Simple)

 -- Dominique Dumont <dominique.dumont@hp.com>  Tue, 11 Jan 2011 14:02:53 +0100

libconfig-model-perl (1.226-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * debian/control:
    - Add libpath-class-perl to Build-Depends-Indep.
    - Add libfuse-perl and fuse-utils to Recommends.
    - Add libmoosex-singleton-perl to (Build-)Depends(-Indep).
    - Change unversioned Build-Depends-Indep on libtest-command-perl to
      versioned libtest-command-perl (>= 0.08).

  [ Dominique Dumont ]
  * New upstream release:
    - config-edit: added virtual file system (Fuse) interface where each 
      config parameter is mapped to a file (-ui fuse option)
  * debian/control:
    - Add available models and UIs in description
    - Add libconfig-model-tkui-perl in Suggests

 -- Dominique Dumont <dominique.dumont@hp.com>  Thu, 09 Dec 2010 14:19:45 +0100

libconfig-model-perl (1.223-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Add libprobe-perl-perl to Build-Depends-Indep.
    - Add libhash-merge-perl (>= 0.12) and libmoosex-strictconstructor-perl 
      to (Build-)Depends(-Indep).

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 29 Nov 2010 12:13:19 +0100

libconfig-model-perl (1.222-1) unstable; urgency=low

  * New upstream release

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 23 Nov 2010 07:46:31 +0100

libconfig-model-perl (1.221-1) unstable; urgency=low

  * New upstream release:
    - new config editor for /etc/fstab
    - new -application option for config-edit
    - new manual and cookbook docs
  * libconfig-model-perl.bash-completion: new file
  * rules: added --with bash-completion
  * control:
    - added build dependency on libtest-command-perl
    - added dependency on bash-completion (>= 1:1.0-3)
  * removed fix-* patches (applied upstream)

 -- Dominique Dumont <dominique.dumont@hp.com>  Sun, 21 Nov 2010 21:10:38 +0100

libconfig-model-perl (1.220-1) unstable; urgency=low

  * New upstream release
  * Refresh add_dh_config patch.
  * debian/copyright: Refer to Debian systems in general instead of
    Debian GNU/Linux systems.
  * debian/control: Drop libtext-template-perl Build-Depends-Indep.
  * Add fix-spelling-error-in-manpage.patch to fix small spelling error
    in manpage.
  * Add fix-manpage-has-bad-whatis-entry.patch patch to fix whatis
    entries for manpages.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 12 Nov 2010 11:17:36 +0100

libconfig-model-perl (1.217-1) unstable; urgency=low

  * New upstream release (small bug fix, improved Fstab example)
  * Refresh patch add_dh_config.

 -- Dominique Dumont <dominique.dumont@hp.com>  Sat, 30 Oct 2010 15:06:06 +0200

libconfig-model-perl (1.216-1) unstable; urgency=low

  * New upstream release (mostly bug and doc fixes)

 -- Dominique Dumont <dominique.dumont@hp.com>  Tue, 26 Oct 2010 18:17:56 +0200

libconfig-model-perl (1.215-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release  (Closes: #597794, #597795):
    - Dep5 is renamed in Dpkg::Copyright
    - command line is config-edit-dpkg-copyright
    - new model for Dpkg control file (with config-edit-dpkg-control
      command)
    - Model can be tuned so that config-edit-* will issue warning
      regarding configuration data when needed
    - Copyright model: warn if unknown license is used.
    - Deprecated some over-complicated stuff. This change may trigger a lot of
      warning with old Config::Model::* modules

  [ Salvatore Bonaccorso ]
  * Update my email address.

  [ gregor herrmann ]
  * Refresh patch add_dh_config.

 -- Dominique Dumont <dominique.dumont@hp.com>  Tue, 19 Oct 2010 18:01:59 +0200

libconfig-model-perl (1.209-1) unstable; urgency=low

  * New upstream release (Fixed Debian::Dep5 read/write backend)

 -- Dominique Dumont <dominique.dumont@hp.com>  Mon, 20 Sep 2010 22:26:22 +0200

libconfig-model-perl (1.208-1) unstable; urgency=low

  * New upstream release:
    - new DEP-5 parser (with DEP-5 model and config-edit-dep5 command)
  * debian/control:
    - removed dependency on libconfig-tiny-perl

 -- Dominique Dumont <dominique.dumont@hp.com>  Fri, 17 Sep 2010 13:11:09 +0200

libconfig-model-perl (1.206-1) unstable; urgency=low

  * New upstream release
  * Refresh debian/copyright: Add Krzysztof Tyszecki to upstream
    copyright stanza.
  * Refresh add_dh_config patch.
  * debian/control: 
    - Update alternate Build-Depends on perl (>= 5.10.1) 
      | libmodule-build-perl (>= 0.34).
    - Make versioned Build-Depends-Indep on libparse-recdescent-perl
      unversioned.
    - Make versioned Build-Depends-Indep on liblog-log4perl-perl
      unversioned.
  * Bump Standards-Version to 3.9.1.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sat, 14 Aug 2010 09:47:32 +0200

libconfig-model-perl (1.205-1) unstable; urgency=low

  * New upstream release (Closes: #582915)
  * Add myself to Uploaders.
  * Refresh debian/copyright: Update debian/* packaging stanza and
    update Format-Specification revision.
  * debian/patches: refresh add_dh_config patch.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Thu, 10 Jun 2010 21:17:06 +0200

libconfig-model-perl (1.204-1) unstable; urgency=low

  * New upstream release
  * Refresh the dh_config patch

 -- Jonathan Yu <jawnsy@cpan.org>  Fri, 04 Jun 2010 20:32:42 -0400

libconfig-model-perl (1.202-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Adds dependency on Moose per upstream
  * Move Uploaders below Maintainer, it looks more natural
  * Rewrite long description a bit

  [ gregor herrmann ]
  * debian/copyright: point to /usr/share/common-licenses/LGPL-2.1.

 -- Jonathan Yu <jawnsy@cpan.org>  Sat, 01 May 2010 23:48:20 -0400

libconfig-model-perl (1.001-1) unstable; urgency=low

  * New upstream release:
    - new config-edit-popcon command
    - new shell script read/write backend
    - configuration values can be checked with a regular expression
  * debian/libconfig-model-perl.docs: added MODELS file
  * debian/control: added build-depends on libtext-template-perl
  * refreshed add_dh_config patch

 -- Dominique Dumont <dominique.dumont@hp.com>  Sun, 28 Mar 2010 17:53:26 +0200

libconfig-model-perl (0.644-1) unstable; urgency=low

  * New upstream release
  * Add myself to Uploaders and Copyright
  * Rename README.debian to README.Debian
  * Use new 3.0 (quilt) source format

 -- Jonathan Yu <jawnsy@cpan.org>  Sat, 13 Mar 2010 15:40:24 -0500

libconfig-model-perl (0.643-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release:
    - new YAML backend (read/write YAML config files)
    - hash and list parameter name changed: min -> min_index, 
      max -> max_index. This change is backward compatible.
  * debian/control: 
    - added build and run time dependency on libyaml-perl,
    - updated Standard-Version to 3.8.4

  [ Franck Joncourt ]
  * Made short description a noun phrase.

 -- Dominique Dumont <dominique.dumont@hp.com>  Thu, 25 Feb 2010 18:36:34 +0100

libconfig-model-perl (0.642-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release (mostly bug fix and doc updates)

  [ gregor herrmann ]
  * debian/copyright: update years of upstream and packaging copyright.
  * New patch spelling: fixes some spelling errors.

 -- Dominique Dumont <dominique.dumont@hp.com>  Sat, 23 Jan 2010 13:56:10 +0100

libconfig-model-perl (0.640-4) unstable; urgency=low

  * Removed debconf question as it was not a good idea (as discussed
    on debian-devel), thus also removed lintian overrides
  * README.debian: clarified developer's jobs

 -- Dominique Dumont <dominique.dumont@hp.com>  Wed, 23 Dec 2009 20:08:45 +0100

libconfig-model-perl (0.640-3) unstable; urgency=low

  [ Dominique Dumont ]
  * Added README.debian to explain templates/debconf stuff
  * dh_config_model_upgrade: setup debconf question to ask whether to use
    config-model to upgrade configuration data in target package.

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.

  [ Dominique Dumont ]
  * dh_config_model_upgrade: A template is provided for this
    question. This template will be used and shipped with target
    package. Added -edit_option whose value is passed verbatim to
    config-edit command.
  * control: mention configuration upgrade in description

 -- Dominique Dumont <dominique.dumont@hp.com>  Mon, 30 Nov 2009 17:46:31 +0100

libconfig-model-perl (0.640-2) unstable; urgency=low

  * dh_config_model_upgrade: correctly pass versioned dependency when
    calling addsubstvar (ie. with '>= ')

 -- Dominique Dumont <dominique.dumont@hp.com>  Mon, 14 Sep 2009 14:37:20 +0200

libconfig-model-perl (0.640-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release (WizardHelper bug fix)

  [ gregor herrmann ]
  * Add build dependency on libtest-exception-perl.

 -- Dominique Dumont <dominique.dumont@hp.com>  Thu, 10 Sep 2009 13:11:56 +0200

libconfig-model-perl (0.639-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release
  * control: updated Standard-Version to 3.8.3

  [ gregor herrmann ]
  * Simplify debian/rules.

 -- Dominique Dumont <dominique.dumont@hp.com>  Tue, 08 Sep 2009 13:41:27 +0200

libconfig-model-perl (0.638-2) unstable; urgency=low

  [ Dominique Dumont ]
  * added dh_config_model_upgrade, Debconf sequence addon (config_model.pm) 
    and postinst snippet in debian/dh
  * added patch (with headers) to handle dh_config_model_upgrade delivery 
    in Build.PL 
  * libconfig-model-perl.install: new file to deliver postinst snippet 
    and debconf sequence add-on
  * rules: added --with quilt

  [ gregor herrmann ]
  * debian/control: adjust Build-Depends to quilt usage.
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.

 -- Dominique Dumont <dominique.dumont@hp.com>  Mon, 27 Jul 2009 13:03:36 +0200

libconfig-model-perl (0.638-1) unstable; urgency=low

  * New upstream release: small bug fix 

 -- Dominique Dumont <dominique.dumont@hp.com>  Wed, 01 Jul 2009 15:17:25 +0200

libconfig-model-perl (0.637-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Dominique Dumont ]
  * New upstream release : Following Jonas Smedegaard's suggestion, leaf
    'built_in' parameter was replaced with 'upstream_default'. This new
    name should be easier to understand for users. This change will
    trigger warnings with existing model. See upstream ChangeLog to get
    rid of them.

  [ gregor herrmann ]
  * Set Standards-Version to 3.8.2 (no changes).

 -- Dominique Dumont <dominique.dumont@hp.com>  Thu, 25 Jun 2009 17:37:11 +0200

libconfig-model-perl (0.636-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sun, 31 May 2009 16:32:34 +0200

libconfig-model-perl (0.635-1) unstable; urgency=low

  *  New upstream release:
     - Added -dump and -load options to config-edit.
     - Added 'summary' field so configuration elements can have a 
       short description (along with the usual long description).
     - Read and write call-back are now passed an opened file-handle 
      (if possible).
  * debian/control: set Standards-Version to 3.8.1
  
 -- Dominique Dumont <dominique.dumont@hp.com>  Tue, 21 Apr 2009 13:58:04 +0200

libconfig-model-perl (0.634-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.
  * Add /me to Uploaders.
  * debian/control: slightly rephrase long description.

 -- gregor herrmann <gregoa@debian.org>  Fri, 06 Mar 2009 20:22:03 +0100

libconfig-model-perl (0.633-1) unstable; urgency=low

  * Initial Release. (Closes: #493308)

 -- Dominique Dumont <dominique.dumont@hp.com>  Thu, 18 Dec 2008 13:43:38 +0100
